Subject: Re: [PATCH 06/18] spufs: use llseek in all file operations

From: Arnd Bergmann <[email-masked]>
Date: Thu, 8 Jul 2010 15:02:36 +0200

On Thursday 08 July 2010, Jeremy Kerr wrote:
> > @@ -2151,7 +2166,7 @@ static ssize_t spufs_ibox_info_read(struct file *file, char __user *buf,
> >  static const struct file_operations spufs_ibox_info_fops = {
> >       .open = spufs_info_open,
> >       .read = spufs_ibox_info_read,
> > -     .llseek  = generic_file_llseek,
> > +     .llseek = no_llseek,
> >  };
> > 
> >  static ssize_t __spufs_wbox_info_read(struct spu_context *ctx,
> > @@ -2194,7 +2209,7 @@ static ssize_t spufs_wbox_info_read(struct file *file, char __user *buf,
> >  static const struct file_operations spufs_wbox_info_fops = {
> >       .open = spufs_info_open,
> >       .read = spufs_wbox_info_read,
> > -     .llseek  = generic_file_llseek,
> > +     .llseek = no_llseek,
> >  };
> > 
> 
> Why the change in behaviour for the mbox info files?
> 

D'oh, that wasn't intentional. I guess what must have happened is that I first
added generic_file_llseek to all file_operations in spufs and then made up my
mind and chose what I thought was correct in each case, which broke these.
Of course, these *_info_fops should be seekable.

	Arnd